On Fri, 2005-07-01 at 12:36 +0200, Ulrich Spoerlein wrote:
> Hi all,
>
> I'm wondering, what's necessary to get the linux-binary of Quake3
> running under FreeBSD with the development DRM and R300 drivers.
>
> I installed graphics/linux_dri, but it looks like an old version
> (XFree86 4.3.0) and glxinfo is linked to missing libraries
> % /compat/linux/usr/X11R6/bin/glxinfo
> /compat/linux/usr/X11R6/bin/glxinfo: error while loading shared libraries: libstdc++-libc6.1-2.so.3: cannot open shared object file: No such file or directory
>
> linux_glx is for XFree 3.3 and linux_mesa3 doesn't help either.


linux_dri has a set of DRI drivers roughly corresponding to the
graphics/dri set of drivers (somewhat older, though.) So you'd need to
get a linux binary for the r300 driver to begin with, and a matching
libGL, and replace glxinfo with one compiled against current linux bits
if you care for glxinfo.

--
Eric Anholt eta@lclark.edu
http://people.freebsd.org/~anholt/ anholt@FreeBSD.org
_______________________________________________
freebsd-emulation@freebsd.org mailing list
http://lists.freebsd.org/mailman/lis...ebsd-emulation
To unsubscribe, send any mail to "freebsd-emulation-unsubscribe@freebsd.org"